"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
class DebugServiceBase extends events_1.EventEmitter {
    constructor($devicesService) {
        super();
        this.$devicesService = $devicesService;
    }
    getCanExecuteAction(deviceIdentifier) {
        return (device) => {
            if (deviceIdentifier) {
                return device.deviceInfo.identifier === deviceIdentifier
                    || device.deviceInfo.identifier === this.$devicesService.getDeviceByDeviceOption().deviceInfo.identifier;
            }
            else {
                return true;
            }
        };
    }
}
exports.DebugServiceBase = DebugServiceBase;
